diff -u roundup/cgi_client.py /usr/lib/python2.1/site-packages/roundup/cgi_client.py
--- roundup/cgi_client.py	Mon Mar 18 00:06:05 2002
+++ /usr/lib/python2.1/site-packages/roundup/cgi_client.py	Tue May 21 18:24:33 2002
@@ -562,19 +562,22 @@
         '''
         if not props.has_key('assignedto'):
             return
-        assignedto_id = props['assignedto']
+        cl = self.db.classes[self.classname]
+        if isinstance(cl.getprops()['assignedto'], hyperdb.Link):
+            assignedto_ids = [props['assignedto']]
+        elif isinstance(cl.getprops()['assignedto'], hyperdb.Multilink):
+            assignedto_ids = props['assignedto']
+        else:
+            return
         if not props.has_key('nosy'):
             # load current nosy
             if self.nodeid:
-                cl = self.db.classes[self.classname]
-                l = cl.get(self.nodeid, 'nosy')
-                if assignedto_id in l:
-                    return
-                props['nosy'] = l
+                props['nosy'] = cl.get(self.nodeid, 'nosy')
             else:
                 props['nosy'] = []
-        if assignedto_id not in props['nosy']:
-            props['nosy'].append(assignedto_id)
+        for assignedto_id in assignedto_ids:
+            if assignedto_id not in props['nosy']:
+                props['nosy'].append(assignedto_id)
 
     def _changenode(self, props):
         ''' change the node based on the contents of the form
@@ -610,8 +613,9 @@
             props['files'] = cl.get(self.nodeid, 'files') + files
 
         # make the changes
         cl.set(self.nodeid, **props)

     def _createnode(self):
         ''' create a node based on the contents of the form
         '''
@@ -1229,15 +1233,15 @@
             try:
                 cl = self.db.classes[self.classname]
             except KeyError:
-                raise NotFound
+                raise NotFound, self.classname
             try:
                 cl.get(self.nodeid, 'id')
             except IndexError:
-                raise NotFound
+                raise NotFound, self.nodeid
             try:
                 func = getattr(self, 'show%s'%self.classname)
             except AttributeError:
-                raise NotFound
+                raise NotFound, 'show%s'%self.classname
             func()
             return
 
diff -u roundup/hyperdb.py /usr/lib/python2.1/site-packages/roundup/hyperdb.py
--- roundup/hyperdb.py	Tue Mar 12 23:52:26 2002
+++ /usr/lib/python2.1/site-packages/roundup/hyperdb.py	Tue May 21 17:59:25 2002
@@ -560,7 +560,7 @@
                 for entry in value:
                     # if it isn't a number, it's a key
                     if type(entry) != type(''):
-                        raise ValueError, 'link value must be String'
+                        raise ValueError, 'link value must be String (found %s for property %s)'%(entry, key)
                     if not num_re.match(entry):
                         try:
                             entry = self.db.classes[link_class].lookup(entry)

 	  	 
